> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/spark/sparkspkclaim.md).

# SparkSPKClaim

### Description

Claims SPK token from Spark Rewards contract

### Action ID

`0x0c7abfae`

### SDK Action

```ts
const sparkSPKClaimAction = new dfs.actions.SparkSPKClaimAction(
    rewardContract,
    to,
    epoch,
    account,
    token,
    cumulativeAmount,
    expectedMerkleRoot,
    merkleProof
);

```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param rewardContract Address of the Spark Rewards contract
    /// @param to Address to send the SPK token to
    /// @param epoch The epoch number for which to claim rewards
    /// @param account Address of the account claiming rewards
    /// @param token Token address being claimed
    /// @param cumulativeAmount Total amount claimable up to this point
    /// @param expectedMerkleRoot Expected merkle root for verification
    /// @param merkleProof Merkle proof for verification
    struct Params {
        address rewardContract;
        address to;
        uint256 epoch;
        address account;
        address token;
        uint256 cumulativeAmount;
        bytes32 expectedMerkleRoot;
        bytes32[] merkleProof;
    }
```

### Return Value

```solidity
return bytes32(claimedAmount);
```

### Events and Logs

```solidity
emit ActionEvent("SparkSPKClaim", logData);
logger.logActionDirectEvent("SparkSPKClaim", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/spark/sparkspkclaim.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
